Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.service
Class DefaultTransportServiceDescriptor

    java.lang.Object
      org.mule.api.registry.AbstractServiceDescriptor
          org.mule.transport.service.DefaultTransportServiceDescriptor

All Implemented Interfaces:
  MuleContextAware, ServiceDescriptor, TransportServiceDescriptor

Direct Known Subclasses:
  MetaTransportServiceDescriptor

    public class DefaultTransportServiceDescriptor

extends AbstractServiceDescriptor
implements TransportServiceDescriptor

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.api.registry.AbstractServiceDescriptor
`AbstractServiceDescriptor.Key`

Field Summary

Fields inherited from class org.mule.api.registry.AbstractServiceDescriptor
`logger, service`

Fields inherited from interface org.mule.transport.service.TransportServiceDescriptor
`OSGI_HEADER_TRANSPORT`

Constructor Summary
`DefaultTransportServiceDescriptor(String service, Properties props, ClassLoader classLoader)`

Method Summary
`Connector` | `createConnector()`
`MessageDispatcherFactory` | `createDispatcherFactory()`
`EndpointBuilder` | `createEndpointBuilder(EndpointURIEndpointBuilder builder)`
`protected EndpointBuilder` | `createEndpointBuilder(Object[] constructorParams)`
`EndpointBuilder` | `createEndpointBuilder(String uri)`
`EndpointURIBuilder` | `createEndpointURIBuilder()`
`List<Transformer>` | `createInboundTransformers(ImmutableEndpoint endpoint)`
`MessageReceiver` | `createMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)`
`MessageReceiver` | `createMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint, Object[] args)`
`MuleMessageFactory` | `createMuleMessageFactory()`
`List<Transformer>` | `createOutboundTransformers(ImmutableEndpoint endpoint)`
`MessageRequesterFactory` | `createRequesterFactory()`
`List<Transformer>` | `createResponseTransformers(ImmutableEndpoint endpoint)`
`SessionHandler` | `createSessionHandler()`
`TransactionFactory` | `createTransactionFactory()`
`protected Transformer` | `createTransformer(String className, ImmutableEndpoint endpoint)`
`MessageExchangePattern` | `getDefaultExchangePattern()`
`Properties` | `getExceptionMappings()`
`List<MessageExchangePattern>` | `getInboundExchangePatterns()`
`List<MessageExchangePattern>` | `getOutboundExchangePatterns()`
`protected void` | `init(Properties props)`
`protected void` | `initInboundExchangePatterns(Properties properties)`
`protected void` | `initOutboundExchangePatterns(Properties properties)`
`protected List<MessageExchangePattern>` | `parseExchangePatterns(String mepsString)`
`void` | `setExceptionMappings(Properties props)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setOverrides(Properties props)`

Methods inherited from class org.mule.api.registry.AbstractServiceDescriptor
`getService, removeClassProperty, removeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.registry.ServiceDescriptor
`getService`

Constructor Detail

### DefaultTransportServiceDescriptor

    public DefaultTransportServiceDescriptor(String service,
                                             Properties props,
                                             ClassLoader classLoader)

Method Detail

### init

    protected void init(Properties props)

### setOverrides

    public void setOverrides(Properties props)

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### createMuleMessageFactory

    public MuleMessageFactory createMuleMessageFactory()
                                                throws TransportServiceException

  Specified by:
    `createMuleMessageFactory` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createSessionHandler

    public SessionHandler createSessionHandler()
                                        throws TransportServiceException

  Specified by:
    `createSessionHandler` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createMessageReceiver

    public MessageReceiver createMessageReceiver(Connector connector,
                                                 FlowConstruct flowConstruct,
                                                 InboundEndpoint endpoint)
                                          throws MuleException

  Specified by:
    `createMessageReceiver` in interface `TransportServiceDescriptor`
  Throws:
    `MuleException`

### createMessageReceiver

    public MessageReceiver createMessageReceiver(Connector connector,
                                                 FlowConstruct flowConstruct,
                                                 InboundEndpoint endpoint,
                                                 Object[] args)
                                          throws MuleException

  Specified by:
    `createMessageReceiver` in interface `TransportServiceDescriptor`
  Throws:
    `MuleException`

### createDispatcherFactory

    public MessageDispatcherFactory createDispatcherFactory()
                                                     throws TransportServiceException

  Specified by:
    `createDispatcherFactory` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createRequesterFactory

    public MessageRequesterFactory createRequesterFactory()
                                                   throws TransportServiceException

  Specified by:
    `createRequesterFactory` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createTransactionFactory

    public TransactionFactory createTransactionFactory()
                                                throws TransportServiceException

  Specified by:
    `createTransactionFactory` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createConnector

    public Connector createConnector()
                              throws TransportServiceException

  Specified by:
    `createConnector` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createInboundTransformers

    public List<Transformer> createInboundTransformers(ImmutableEndpoint endpoint)
                                                throws TransportFactoryException

  Specified by:
    `createInboundTransformers` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### createOutboundTransformers

    public List<Transformer> createOutboundTransformers(ImmutableEndpoint endpoint)
                                                 throws TransportFactoryException

  Specified by:
    `createOutboundTransformers` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### createResponseTransformers

    public List<Transformer> createResponseTransformers(ImmutableEndpoint endpoint)
                                                 throws TransportFactoryException

  Specified by:
    `createResponseTransformers` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### createTransformer

    protected Transformer createTransformer(String className,
                                            ImmutableEndpoint endpoint)
                                     throws Exception

  Throws:
    `Exception`

### createEndpointURIBuilder

    public EndpointURIBuilder createEndpointURIBuilder()
                                                throws TransportFactoryException

  Specified by:
    `createEndpointURIBuilder` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### createEndpointBuilder

    public EndpointBuilder createEndpointBuilder(String uri)
                                          throws TransportFactoryException

  Specified by:
    `createEndpointBuilder` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### createEndpointBuilder

    public EndpointBuilder createEndpointBuilder(EndpointURIEndpointBuilder builder)
                                          throws TransportFactoryException

  Specified by:
    `createEndpointBuilder` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### createEndpointBuilder

    protected EndpointBuilder createEndpointBuilder(Object[] constructorParams)
                                             throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### setExceptionMappings

    public void setExceptionMappings(Properties props)

  Specified by:
    `setExceptionMappings` in interface `TransportServiceDescriptor`

### getExceptionMappings

    public Properties getExceptionMappings()

  Specified by:
    `getExceptionMappings` in interface `TransportServiceDescriptor`

### initInboundExchangePatterns

    protected void initInboundExchangePatterns(Properties properties)

### initOutboundExchangePatterns

    protected void initOutboundExchangePatterns(Properties properties)

### parseExchangePatterns

    protected List<MessageExchangePattern> parseExchangePatterns(String mepsString)

### getInboundExchangePatterns

    public List<MessageExchangePattern> getInboundExchangePatterns()
                                                            throws TransportServiceException

  Specified by:
    `getInboundExchangePatterns` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### getOutboundExchangePatterns

    public List<MessageExchangePattern> getOutboundExchangePatterns()
                                                             throws TransportServiceException

  Specified by:
    `getOutboundExchangePatterns` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### getDefaultExchangePattern

    public MessageExchangePattern getDefaultExchangePattern()
                                                     throws TransportServiceException

  Specified by:
    `getDefaultExchangePattern` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.